<?php
// Page de traitement de notre formulaire en PHP
	
	// On verifie si notre formulaire n'est pas vide.
	if(!empty($_POST)) {
		$tab = array(); // on definit un tableau qui va contenir nom, champ, valeur
		$i = 0;
		foreach($_POST as $key=>$value) { // on boucle en recuperant clé valeur
			$decoupe = explode("_", $key);
			$tab[$i] = $decoupe[0]; // nom de la table
			$tab[$i+1] = $decoupe[1]; // champs de la table
			$tab[$i+2] = $value; // valeur du champs de la table
			$i += 3;
		}
		
		// connexion à la base
		$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
		
		// sélection de la base  
		mysql_select_db('smartpassTest2',$db)  or die('Erreur de selection '.mysql_error()); 
	
		/* Test préalable pour compter le nombres de points déjà présents
		Cela nous permets de calculer le nouvel id du prochain point. */
		$result = mysql_query('SELECT * FROM '.$tab[0].'', $db);
		$num_rows = mysql_num_rows($result)+1;
		
		$ip = $_SERVER['REMOTE_ADDR'];// on récupère l'ip
		
		$sql = "INSERT INTO ips(id, ip, date) VALUES('$num_rows','$ip', NOW())";
		mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
		
		// creation des requetes dynamiquement
		for ($j = 0 ; $j < count($tab) ; $j += 3) {
			// On verifie si l'id existe déjà //
			$req = 'SELECT COUNT(id) AS verif FROM '.$tab[$j].' WHERE id='.$num_rows.'';
			$res  = mysql_query($req);
			$alors  = mysql_fetch_assoc($res);
			///////////////////////////////////
			
			// Gestion de la sécurité //
			$cur_var = addslashes($tab[$j+2]); // ici j'ajoute dans anti-slashes pour les simple et doubles quotes
			mysql_real_escape_string($cur_var); // ici je mets une sécu pour protéger des injections SQL
			///////////////////////////
			
			
			// Gestion des requetes //
			if(!($alors['verif'] == 0)){ // Si l'id existe déjà alors on UPDATE la ligne
				$sql = 'UPDATE '.$tab[$j].' SET '.$tab[$j+1].' = "'.$cur_var.'" WHERE id='.$num_rows.'';
				mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
			}
			else { // si l'id n'existe pas alors on INSERT la nouvelle ligne
				$sql = 'INSERT INTO '.$tab[$j].' (id,'.$tab[$j+1].') VALUES ('.$num_rows.',"'.$cur_var.'")';
				//$sql = "INSERT INTO InformationsGenerales(id, ip, date) VALUES('$num_rows','$ip', NOW())";
				mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
			}
			//////////////////////////
		}
		
		// on affiche le résultat pour le visiteur 
		echo '<h1><font color="red">Les informations ont bien étés ajoutés à la base ! Merci</font></h1>'; 
		header("Refresh: 2; URL=http://smart-pass.fr/form/");
		
		mysql_close();  // on ferme la connexion 
	}
	else {
		echo "vide";
	}
?>